> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get transaction history for a specific Cardano native asset including transfers, mints, and burns.

# Native asset transactions



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /assets/{asset}/transactions
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /assets/{asset}/transactions:
    get:
      tags:
        - Assets
      summary: Native asset transactions
      description: >-
        Returns a list of transactions in which some of a specific asset is
        moved or minted
      operationId: asset_txs
      parameters:
        - name: asset
          in: path
          description: Asset, encoded as concatenation of hex of policy ID and asset name
          required: true
          schema:
            type: string
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: order
          in: query
          description: The order in which the results are sorted (by point in chain)
          required: false
          schema:
            allOf:
              - type: string
                default: asc
                enum:
                  - asc
                  - desc
            nullable: true
        - name: from
          in: query
          description: >-
            Return only transactions in blocks minted on or after a specific
            slot
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
            minimum: 0
        - name: to
          in: query
          description: >-
            Return only transactions in blocks minted on or before a specific
            slot
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
            minimum: 0
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: An array of transactions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedTimestampedTransaction'
              example:
                data:
                  - tx_hash: >-
                      ad266dfdf3bec26462d326dcfca1bfd359ca72659bd792be19edd0e69708c466
                    slot: 49503576
                    timestamp: '2022-01-01 20:44:27'
                  - tx_hash: >-
                      2e36e8f8d600d95ac3851879f0fb930756e4f88917bf697c9a725049ce25f4eb
                    slot: 49503576
                    timestamp: '2022-01-01 20:44:27'
                  - tx_hash: >-
                      bc21b95844a8b4b08c20a848c4bc7f5be08df11bb3f75cf9510836c7259bc9fc
                    slot: 55718892
                    timestamp: '2022-03-14 19:13:03'
                  - tx_hash: >-
                      904e3cd77c10def76dadd4c1cb87166ed707bae43e5d7da8dcccaf3066b5bfe2
                    slot: 106047961
                    timestamp: '2023-10-18 07:30:52'
                last_updated:
                  timestamp: '2023-10-18 07:30:52'
                  block_hash: >-
                    0e1e924710135acfe200ab13d290bd282a67584fd54456f0dcac0aeaa38bb2c2
                  block_slot: 106047961
                next_cursor: null
        '400':
          description: Malformed query parameters
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedTimestampedTransaction:
      type: object
      description: >-
        A paginated response. Pass in the `next_cursor` in a subsequent request
        as the `cursor` query parameter to fetch the next page of results.
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/TimestampedTransaction'
          description: Endpoint response data
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          description: Pagination cursor
          nullable: true
    TimestampedTransaction:
      type: object
      description: Transaction hash with details of when that transaction appeared on-chain
      required:
        - tx_hash
        - slot
        - timestamp
      properties:
        slot:
          type: integer
          format: int64
          description: Absolute slot of the block which includes the transaction
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of the block which includes the transaction
        tx_hash:
          type: string
          description: Transaction hash
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````